<!--
{
  "availability" : [
    "Apple Ads Platform API: 1.0.0 -"
  ],
  "documentType" : "symbol",
  "framework" : "Apple-Ads-Platform-API",
  "identifier" : "/documentation/Apple-Ads-Platform-API/AdCreate",
  "metadataVersion" : "0.1.0",
  "role" : "Object",
  "symbol" : {
    "kind" : "Object",
    "modules" : [
      "Apple Ads Platform API"
    ],
    "preciseIdentifier" : "data:apple-ads-platform-api:AdCreate"
  },
  "title" : "AdCreate"
}
-->

# AdCreate

The request body for creating a new Ad object.

```
object AdCreate
```

## Discussion

Creating an ad links an ad creative to an ad group with `POST /v1/ads` ([`Create an Ad`](/documentation/Apple-Ads-Platform-API/POST-ads)).

An ad can’t be enabled until its parent ad group and campaign are also enabled.

### Example

```json
{
  "adGroupId": 555666777,
  "creativeId": 666777888,
  "name": "AwayFinder Default Product Page",
  "status": "ENABLED"
}
```

## Topics

### Type Aliases

[`string AdCreate.Status`](/documentation/Apple-Ads-Platform-API/AdCreate/Status-data.typealias)

Advertiser-configurable status set when creating an ad.

---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)